Page MenuHomePhabricator

Work on Recommending Images to Wikidata Items
Closed, ResolvedPublic

Description

Onboarding Project:

  • Create a Meta Page
  • Define the exploratory image domain: monuments
  • Create dataset of items and image candidates
  • Build a Relevance Model
  • Build a Quality model

Q3 goal:

  1. Retrieve lists of wikidata items T184734
  2. Retrieve candidate images for wikidata items T184737
  3. Filter candidate images by relevance T184738
  4. Build a model for image quality T184739
  5. Filter candidate images by quality T184740
  6. Evaluate

Obervations - bottlenecks:

  • 1 needs domain expertise for e.g. monuments and distribute process for reading dumps
  • 4 speed-up with GPU, also pixels are not available internally

Event Timeline

Miriam created this task.Nov 8 2017, 10:34 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 8 2017, 10:34 AM
Miriam updated the task description. (Show Details)Dec 22 2017, 9:51 AM
Miriam updated the task description. (Show Details)Jan 8 2018, 1:24 PM
Miriam updated the task description. (Show Details)
Miriam updated the task description. (Show Details)
Miriam updated the task description. (Show Details)Jan 8 2018, 1:28 PM
Miriam updated the task description. (Show Details)Jan 8 2018, 1:37 PM
leila triaged this task as High priority.Jan 9 2018, 5:06 PM
leila added a project: Research-2017-18-Q3.
leila moved this task from Staged to In Progress on the Research board.
leila added a subscriber: leila.
Miriam updated the task description. (Show Details)Jan 11 2018, 4:36 PM
DarTar closed this task as Resolved.May 2 2018, 9:55 PM
DarTar edited projects, added Research-Archive; removed Research.
DarTar moved this task from Default to Q3-FY18 on the Research-Archive board.May 2 2018, 10:41 PM